Subject: Re: [RFC/PATCH 1/2] update-index: add --clear option

From: Christopher Tiwald <[email-masked]>
Date: Mon, 16 Apr 2012 17:48:55 -0400

On Mon, Apr 16, 2012 at 12:02:32PM -0400, Jeff King wrote:
> I tried to make something like:
> 
>   git update-index --from-scratch --index-info
> 
> work by avoiding reading all entries in the first place. However,
> update-index actually processes its arguments sequentially, so we _must_
> read the index before we start processing arguments. But because it's
> sequential, a "clear" operation makes sense, since you clear, then add
> new entries.

At the very least I can give this patch series a go this evening. I'm in
the process of combining 40 highly-intertwined, nested repositories into
one, and should be able to test it under the conditions outlined in the
updated example.

--
Christopher Tiwald